<!--/////////////MODAL INIT/////////////////-->
<ng-template #content1 let-modal>
  <div class="modal-header">
    <i class="ft-link"></i>
    <h4 class="modal-title" id="modal-basic-title">Change password</h4>
    <button type="button" class="close" aria-label="Close" (click)="Close('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form #passwordsForm='ngForm' [formGroup]="formPass" appCheckPassword>
      <input type="text" hidden formControlName="action" name="action">
      <input type="text" hidden formControlName="email" name="email">
      <input type="text" hidden formControlName="user" name="user">
      <div class="form-group">
        <label for="passwordOld">Old password</label>
        <input type="password" class="form-control" placeholder="Old password" formControlName="passwordOld" name="passwordOld">
      </div>
      <div class="form-group">
        <label for="password1">New password</label>
        <input type="password" class="form-control" id="password1" placeholder="New password" formControlName="passwordA"
          name="passwordA" required>
      </div>
      <div class="form-group">
        <label for="Password2">Repear new password</label>
        <input type="password" class="form-control" id="Password2" placeholder="Repeat password" formControlName="passwordB"
          name="passwordB" required>
      </div>
      <div *ngIf="formPass.get('passwordB').invalid && (formPass.get('passwordA').dirty || formPass.get('passwordA').touched)"
        class="alert alert-danger">
        Introduces new password.
      </div>
      <div *ngIf="passwordsForm.errors?.passwordCheck && (formPass.get('passwordB').dirty || formPass.get('passwordB').touched)"
        class="alert alert-danger">
       Passwords dont match.
      </div>
      <div class="alert alert-danger" *ngIf="!formPass.get('passwordA').valid && (formPass.get('passwordA').dirty || formPass.get('passwordA').touched)">
        -A password of is required <br>
        more than 8 characters and <br>
        must include at least one <br>
        uppercase and one<br>
        special character.</div>
      <div class="form-action text-center">
        <button type="button" (click)="changePass(passwordsForm)" class="btn btn-outline-success"><i class="ft-save"></i>
          Change</button>
        <button type="button" class="btn btn-dark" (click)="Close('Close')"><i class="ft-x-square"></i> Close</button>
      </div>
    </form>
  </div>
  <div class="modal-footer">
  </div>
</ng-template>
<!--/////////////MODAL END/////////////////-->
<nav class="navbar navbar-expand-lg navbar-light bg-faded">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle d-lg-none float-left" data-toggle="collapse">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <form [hidden]="!this._user.userLocal().med || this._user.userLocal().su" name="isMed" class="navbar-form navbar-right mt-1"
        role="search">
        <div class="position-relative has-icon-right input-group">
          <input type="text" class="form-control" placeholder="Search patient" name="searchText" [(ngModel)]="searchText"
            maxlength="10">
          <div class="input-group-append">
            <button class="btn btn-outline-primary bg-white ft-search" (click)="isCollapsed = !isCollapsed"></button>
          </div>
        </div>
        <div class="card">
          <div class="media">
            <div id="collapse" [ngbCollapse]="isCollapsed">
              <ul *ngFor="let x of patientService.patient | LockFilter: searchText">
                <p class="card-text">
                  <a role="button" (click)="isCollapsed = !isCollapsed" (click)="update()" [routerLink]="['/info-patient', x._id]">{{x.name}}
                    {{x.documentNumber}}</a>
                </p>
              </ul>
            </div>
          </div>
        </div>
      </form>
    </div>
    <div class="navbar-container">
      <div ngbDropdown class="d-inline-block">
        <a type="buttom" class="ft-power mr-2 nav-link d-lg-none navbar-right" id="dropdownExit" ngbDropdownToggle>
        </a>
        <div ngbDropdownMenu aria-labelledby="dropdownExit">
          <a class="dropdown-item" (click)="logout()">Logout</a>
          <a class="dropdown-item">Cancel</a>
        </div>
      </div>
      <span class="icon-bar"></span>
      <span class="icon-bar"></span>
      <span class="icon-bar"></span>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav">
          <li class="nav-item mr-2">
            <a class="nav-link">{{username}}</a>
            <p class="d-done"></p>
          </li>
          <li class="nav-item" ngbDropdown placement="bottom-right">
            <a class="nav-link position-relative" id="dropdownBasic3" ngbDropdownToggle>
              <i class="ft-user font-medium-3 blue-grey darken-4"></i>
              <p class="d-none">User Settings</p>
            </a>
            <div ngbDropdownMenu aria-labelledby="dropdownBasic3">
              <a class="dropdown-item py-1" (click)="open1(content1)">
                <i class="ft-link mr-2"></i>
                <a>Password</a>
              </a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" (click)="logout()">
                <i class="ft-power mr-2"></i>Logout
              </a>
            </div>
          </li>
        </ul>
      </div>
    </div>
  </div>
</nav>
